Subject: Re: [RAM] Number of DFZ routers

From: [email-masked]
Date: Sat, 7 Jul 2007 14:28:29 EDT

In einer eMail vom 07.07.2007 16:46:36 Westeuropäische Normalzeit schreibt  
[email-masked]:

> A 200 k FIB should be proof enough that this is the wrong way to  go.
> 2k should be sufficient for a 100 times bigger  internet. 

Huh? The size of the FIB is caused by the way IPv4 addresses  are assigned,
and has nothing to do with the algorithm/protocol by which  paths are
computed.

Noel

Sorry, I was too sloppy. 2k, mayby 1k of addresses are even sufficient. So  I 
don't care about prefixes, neither PA nor PI, at all.
But let's wait and see. There are other hurdles to take in the first  place.
 
Heiner

_______________________________________________
RAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ram

---

From: Olivier Bonaventure <[email-masked]>
Date: Sat, 07 Jul 2007 21:12:39 +0200

Heiner,

> In einer eMail vom 07.07.2007 16:46:36 Westeuropäische Normalzeit 
> schreibt [email-masked]:
> 
> Sorry, I was too sloppy. 2k, mayby 1k of addresses are even sufficient. 
> So I don't care about prefixes, neither PA nor PI, at all.

I completely agree with Noel. The FIB size mainly depends on how 
addresses are assigned and not on the routing protocol used to 
distribute the addresses. For a discussion on the FIB size with 
id/locator split solutions, you might have a look at :

B. Quoitin, L. Iannone, C. de Launois and O. Bonaventure.  Evaluating 
the Benefits of the Locator/Identifier Separation. Proceedings of 
MobiArch (ACM SIGCOMM Workshop), Kyoto, Japan, August 2007.
http://inl.info.ucl.ac.be/publications/evaluating-benefits-locator-identifier-separation-0

In this paper, we evaluate two possible scenarios for the assignement of 
locators in an id/locator separation solution and show that basically 
the max FIB size can be O(number of provider independant locator blocks).

Best regards,

Olivier Bonaventure

-- 
http://inl.info.ucl.ac.be , Universite catholique de Louvain, Belgium